package JointFeldmanProtocol;

import ShamirSecretSharing.Polynomial;

import java.math.BigInteger;
import java.util.Arrays;

/**
 * Created by Tzlil on 3/14/2016.
 */
public class DistributedKeyGenerationParty {
    public final int id;
    public Polynomial.Point share;
    public BigInteger[] commitments;
    public boolean doneFlag;
    public DistributedKeyGeneration.ComplainState[] complaints;
    public boolean aborted;

    public DistributedKeyGenerationParty(int id, int n, int t) {
        this.id = id;
        this.share = null;
        this.doneFlag = false;
        this.complaints = new DistributedKeyGeneration.ComplainState[n];
        Arrays.fill(this.complaints, DistributedKeyGeneration.ComplainState.Non);
        this.commitments = new BigInteger[t + 1];
        this.aborted = false;
    }
}
